/* 
*  CSS Modules TABLE OF CONTENTS
*   
*  0.0 - Generic styling
*  1.0 - Header
*    1.1 - Desktop
*    1.2 - Mobile (@media)
*  2.0 - Sidebar
*  3.0 - Main
*  4.0 - Footer
*/





/*** 0.0 - Generic styling ***/
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}


/*** 1.0 - Navigation *** /

/***    1.1 Navigation - Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */


.header {

    margin: 40px 0px;
}

.nav-wrapper {

    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: solid 1px var(--color-accent-lighter);
    border-bottom: solid 1px var(--color-accent-lighter);
}

.pslogo {

  display: none;

}

.logo {

    text-decoration: none;
    font-size: var(--fontsize-600);
    font-weight: bold;
    color: var(--color-white);
}

.navigation-logo--white a {
  float: left;
  font-size: var(--fontsize-500);
  text-transform: uppercase;
  font-weight: 700;
  margin: 20px !important;
  text-decoration: none;
  color: var(--color-black);
}

.navigation-logo--blue {

  display: none;

}


.navigation-logo span {
  font-weight: 400;
}

.navigation-logo:hover {
  transform: scale(1.2);
  -webkit-transition: transform 0.1s ease-in-out;
}


.mobile-nav-toggle {

    display: none;
    position: fixed;
    top: var(--size-600);
    right: var(--size-400);
    cursor: pointer;
    background: transparent;
    border: 0;
    padding: 0.5em;

}

.mobile-nav-toggle .menu-close {

    display: none;
}


ul[role="list"],
ol[role="list"] {

  list-style: none;
  text-indent: -2em;
}

.contact {
    display: block;
    /* padding: var(--size-400); */
  }

.secondary-menu {
  display: block;
  padding: var(--size-500);
  /* margin-top: 6rem; */
}


.primary-navigation {

  display: flex;
  gap: clamp(var(--size-500), 5vw, var(--size-800));
  text-align: left;
  font-weight: normal;
}

.primary-navigation a {

    text-decoration: none;
    color: var(--color-contrast);
    padding: 10px;

}

.nav-list--link:focus, /* Jariiiii */
.nav-list--link:hover {

  border-bottom: solid 4px var(--color-contrast);

}


.navigation-some {

  text-align: center;
  display: flex;
  gap: 2rem;
  width: 100%;
  justify-content: center;
}

.navigation-some a {

  text-align: right;
  font-size: 2rem;
  padding: var(--size-500) !important;
  
}

.ad__link {
  /* padding: 0 !important; */
  display: none;
}

/* .ad__image {

} */


.header__button  {

  cursor: pointer;
  text-decoration: none;
  border: 0;
  border-radius: 100vmax;
  padding: var(--size-400) var(--size-700);
  font-weight: bolder;
  font-size: var(--fontsize-200);
  line-height: 1;
  color: var(--color-white);
  background-color: var(--color-contrast);
  box-shadow: 0 var(--size-400) var(--size-400) -1rem var(--color-black);
  transform: translateY(-2px);

}

.header__button:hover,
.header__button:focus-visible {

  background-color: var(--color-contrast-lighter);
  box-shadow: 0 var(--size-200) var(--size-200) -1rem var(--color-black-lighter);
  transform: translateY(2px);

}

.menu-toggle {

  display: none;

}

.navigation-some {

  display: none;

}

i.site-nav--icon {

  display: none;

}

/***    1.1 Navigation - Mobile ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

@media(max-width: 50em) {

    body {
      min-width: 100vw;
    }

    .nav-wrapper {

      border: none;
    }

    .container {
        width: 95%;
        max-width: 1000px;
        margin: 0 auto;
      }

      .header {

        margin: 0px 0px;
        padding: 0px;

      }

      
      header {
        background: var(--color-contrast);
        color: #ebebd3;
        padding: 1em 0;
        position: relative;
      }
      
      header::after {
        content: "";
        clear: both;
        display: block;
      }
      
      .header__button  {

        display: none;
      }

      .pslogo {

        display: block;
        height: 60px;
      
      }

      .navigation-logo a {
        float: left;
        font-size: var(--fontsize-300);
        margin-left: var(--size-200);
        text-transform: uppercase;
        font-weight: 700;
        color: var(--color-white);
      }
      
      .navigation-logo--blue {

        display: none;
      
      }

      .navigation-logo span {
        font-weight: 400;
      }

     
      .primary-navigation {
        position: absolute;
        top: 100%;
        right: 0%;
        background: #464655;
        background: var(--color-contrast-lighter);
        transition: clip-path ease-in-out 100ms;
        margin: 0;
        padding: 0;
        list-style: none;
        width: 20rem;
      }

      .primary-navigation a {

        text-indent: 4px;
        /* margin-left: 20px; */
        /* padding-left: 10px; */
      }

      .primary-navigation[data-state="opened"] {
        animation: clipPathCircleOpen 300ms ease-in-out forwards;
        display: block;
      }
      
      .primary-navigation[data-state="closing"] {
        animation: clipPathCircleClose 300ms ease-in-out forwards;
      }
      .primary-navigation[data-state="closed"] {
        display: none;
      }

      @keyframes clipPathCircleOpen {
        0% { clip-path: circle(0% at top right); }
        100% { clip-path: circle(250% at top right); }
      }
      @keyframes clipPathCircleClose {
        0% { clip-path: circle(250% at top right); }
        100% { clip-path: circle(0% at top right); }
      }
      
      .site-nav li {
        border-bottom: 1px solid var(--color-white-darkest);
      }
      
      .site-nav li:last-child {
        border-bottom: none;
      }
      
      .site-nav a {
        color: var(--color-white);
        display: block;
        padding: 2em 4em 2em 1.5em;
        text-transform: uppercase;
        text-decoration: none;
      }

      .site-nav a:hover,
      .site-nav a:focus {
        background-color: var(--color-contrast-darker);
        color: var(--color-white)
      }
      
      .site-nav--icon {
        display: inline-block;
        font-size: 1.5em;
        margin-right: 1em;
        width: 1.1em;
        text-align: right;
        color: rgba(255, 255, 255, 0.4);
      }
      
      .menu-toggle {
        display: block;
        padding: var(--size-400);
        background: transparent;
        border: 0;
        position: absolute;
        top: 1em;
        right: 0.5em;
        cursor: pointer;
      }
      
      .hamburger,
      .hamburger::before,
      .hamburger::after {
        content: "";
        display: block;
        background: #ebebd3;
        height: 3px;
        width: 1.75em;
        border-radius: 3px;
        transition: all ease-in-out 500ms;
      }
      
      .hamburger::before {
        transform: translateY(-6px);
      }
      
      .hamburger::after {
        transform: translateY(3px);
      }
      
      [aria-expanded="true"] .hamburger {
        transform: rotate(45deg);
      }
      
      [aria-expanded="true"] .hamburger::before {
        opacity: 0;
      }
      
      [aria-expanded="true"] .hamburger::after {
        transform: translateY(-3px) rotate(-90deg);
      }
      
      .visually-hidden {
        clip: rect(0 0 0 0);
        clip-path: inset(50%);
        height: 1px;
        overflow: hidden;
        position: absolute;
        white-space: nowrap;
        width: 1px;
      }
      

      .ad__image {
        max-width: 20rem;
        object-fit:cover;
        margin-top: var(--size-800);
      
      }


      .ad__link {

        padding: 0 !important;
        text-indent: 0;

      }

      .header--button {

        display: none;
        /* text-indent: 0em; */

      }

      .nav-list--link:focus, /* Jariiiii */
      .nav-list--link:hover {

        border-bottom: none;

      }



}

/*** 2.0 - Sidebar ***/

/***    2.1 - Sidebar Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

.fb-page {

  margin-bottom: 20px;

}

.twitter-timeline {

  margin-bottom: 40px !important;
  width: 100% !important;
  height: 1600px;
  overflow: auto;
}


.sidebar-some {

  margin-bottom: 20px;
  margin-top: 0px;
  color: var(--color-black-lightest);
  font-size: var(--fontsize-300);

}


.sidebar_cell {

  background-color: #f1f0f0;
  padding: 10px !important;
  margin-bottom: 20px;
  text-align: center;

}



/***    2.2 - Sidebar Mobile ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */



  @media (max-width: 50rem) {


    .twitter-timeline {

      height: 600px;

    }


  }



/*** 3.0 - Main ***/

/***    3.1 - Main - Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

.page-container {

  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  margin-bottom: 4rem;

}

.frontpage__left-container {

  grid-column:  span 2;
  /* background: red; */

}

.frontpage__middle-container {

  grid-column:  span 10;
  background: whitesmoke;

}


.frontpage__right-container {

  /* grid-column:  0; */
  /* background: blue; */
  display: none;
}

.info__hero {

  grid-column:  1 / 13;
  /* grid-row: 1; */
}

.info__middle-container {

  grid-column:  3 / 11;
  /* background: whitesmoke; */

}

.info__middle-image {

  object-fit: cover;
  max-width: 100%;
  padding-top: 3rem;

}

.main-wrapper {

    background-color: var(--color-white);
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    color: var(--color-white-darker);
    line-height: var(--size-600);
    padding: var(--size-900) 0;

}

.main__wrapper {

  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  margin-bottom: 4rem !important;

}

.main__hero {

  background-color: var(--color-contrast-lighter);
  height: 12rem;
  position: relative;
  width: 100%;
  margin-bottom: 3rem;
  grid-column: col-start 1 / span 12;
  z-index: -1;

}

.main__hero-image {

  position: absolute;
  box-shadow: 2px 2px 10px hsla(var(--color-black-opacity));
  box-shadow: 2px 5px 5px hsla(var(--color-black-opacity));

  background-color: white;
  width: 18rem;
  padding: 1rem;
  /* display: flex;
  align-items: center; */


  border: 1px solid #ddd; /* Gray border */
  border-radius: 4px;  /* Rounded border */
  padding: 5px; /* Some padding */
  margin: 1rem;

}

.main__hero-page-name {

  height: 5rem;
  color: var(--color-white);
  font-size: var(--fontsize-900);
  padding:  2rem 1rem 1rem 22rem;

}

.main__hero-breadcrumb {

  /* background-color: blue; */
  height: 3rem;
  color: var(--color-white);
  font-size: var(--fontsize-100);
  display: flex;
  align-items: center;
  padding:  1rem 1rem 1rem 22rem;
}



.main_content {


  grid-column: col-start 1 / span 11;


}


.main-image {

    /* max-width: 100%; */
    
    /* padding-bottom: var(--size-500); */
    object-fit: cover;
    max-width: 100%;

}

.card {

    padding: var(--size-600);
    box-shadow: 2px 5px 5px hsla(var(--color-black-opacity));
    border: 1px solid var(--color-white-darker);

}

.card:hover,
.card:focus
{

  box-shadow: 3px 5px 5px var(--color-white-darker);
  background-color: hsla(var(--color-accent-opacity));

}

.card__info {

    color: var(--color-black-lightest);
    font-weight: lighter;
    font-size: var(--fontsize-100);
    /* border-bottom: 1px solid var(--color-black-lightest); */

}

.card__info__container {

  display: flex;
  justify-content: space-between;

}

.card__image {

  width: 100%;
  max-height: 100%;
  object-fit: cover;
  padding-top: 10px;

}

.noimage {

  
  opacity: 0.2;

}

.card__title {

    color: var(--color-black);
    font-weight: bolder;
    font-size: var(--fontsize-300);
    padding: 10px 0 10px 0;

}

.card__body {

  color: var(--color-black-lighter);
  font-weight: normal;
  font-size: var(--fontsize100);
  display: -webkit-box;
  -webkit-line-clamp: 4; /* Cut text */
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-height: var(--size-600);

}

.card__body::after {

  content: '...';

}

.card__read {

  padding-top: 1rem;
  text-align: right;

}


.card__button  {

  cursor: pointer;
	text-decoration: none;
	border: 0;
	border-radius: 100vmax;
	padding: var(--size-200) var(--size-400);
	font-weight: normal;
	font-size: var(--fontsize-100);
	line-height: 1;
	background-color: var(--color-accent);
	box-shadow: 0 var(--size-300) var(--size-300) -1rem var(--color-black);
  transform: translateY(-2px);
}
  
/* .card__button[data-type="inverted"] {


} */
  
.card__button:hover,
.card__button:focus-visible {

  /* background-color: var(--color-accent-darker); */
	/* color: var(--color-white); */
  box-shadow: 0 var(--size-100) var(--size-100) -1rem var(--color-black-lighter);
  transform: translateY(2px);

}

.card__icon {

  text-decoration: none;
  color: var(--color-black) !important;
  padding-left: 4px;
  opacity: 0.8;

}

hr.card-divider {

  display: none;

}

.info__middle-title{

  margin: 1rem 0 0.2rem 0 !important;

}

.font-m {

  margin: 1rem 0 0.2rem 0;

}

.font-l {

  margin: 1rem 0 0.2rem 0;

}

/***    3.2 - Main - Mobile ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

@media (max-width: 50rem) {


  .page-container {

    display: grid;
    grid-template-columns: 1fr;
    margin-bottom: 4rem;
  
  }
 
  .main__hero {

    background-color: var(--color-contrast-lighter);
    /* height: 12rem; */
    /* position: relative; */
    width: 100vw;
    margin-bottom: 3rem;
    padding-bottom: 3rem;
    z-index: -1;
  
  }
  
  .main__hero-image {
  
    position: relative;
    width: 100vw;
    padding: 1rem;
    /* display: flex;
    align-items: center; */
  
  
    border: none;
    border-radius: 0px;
    padding: 0;
    margin: 0;
  
  }
  
  .main__hero-page-name {
  
    /* height: 5rem; */
    color: var(--color-black);
    font-size: var(--fontsize-900);
    padding:  1rem;

  
  }
  
  .main__hero-breadcrumb {

      display: none;

  }
  
  .info__hero {

    /* grid-column:  1 / 13; */
    /* grid-row: 1; */
    /* padding: 20px; */
    margin-bottom: 2rem;
  }
  
  .info__middle-container {
  
    margin-top: 4rem;
    padding: 1rem;
    /* margin-top: 20px; */
    /* grid-column:  3 / 11; */
    /* background: whitesmoke; */

  }
  

  .info__middle-image {

    /* object-fit: cover;
    max-width: 100%; */
    margin: 3rem 0 1rem 0;
  
  }



  .main-wrapper {

      grid-template-columns: 1fr;
      gap: 0px;
  
  }

  .card {

    padding: var(--size-500);
    box-shadow: none;
    border: none;

  }




  .main-image {

    width: 100vw;
    
    /* padding-bottom: var(--size-500); */
    /* object-fit: cover; */
    /* max-width: 100%; */

  }

  .card__info {

    color: var(--color-black-lightest);
    font-weight: lighter;
    font-size: var(--fontsize-100);

  }

  /* .card__info_date {

    padding-left: 10px;
  
  } */
  
  /* .card__info_type {
  
    padding-right: 10px;
    
  } */

  .card__image {

    width: 100%;
    /* max-height: 6rem; */
    object-fit: cover;
    padding-top: 10px;

  }

  .card__info__container {

    display: flex;
    justify-content: space-between;

  }


  .card__title {

    color: var(--color-black);
    font-weight: bolder;
    font-size: var(--fontsize-300);
    padding: 10px 0 10px 0;
    line-height: var(--size-600);

  }

  .card__button  {

    font-weight: normal;
    font-size: var(--fontsize-100);
    padding: var(--size-200) var(--size-400);
    line-height: 1;
    /* color: var(--color-black-lighter); */
    background-color: var(--color-accent);
    box-shadow: 0 var(--size-300) var(--size-300) -1rem var(--color-black);
    transform: translateY(-2px);
  }

  .card__icon  {

    text-decoration: none;
    color: var(--color-black) !important;
    padding-left: 6px;
    opacity: 0.8;

  }

  hr.card-divider {

    display: block;
    border-top: 1px solid var(--color-contrast-lighter);
    width: 50%;

  }




}



/*** 4.0 - Footer ***/

/***    4.1 Footer - Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.secondary-navigation {

  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 2rem;
  color: var(--color-white-darker);

}


.footer-logo {

  padding: 40px;

}



.footer-logo img {

  text-align: right;
  object-fit: cover;
  width: 100%;
  max-height: 100%;
  border: 1px solid black;
  box-shadow: var(--size-300) var(--size-300) var(--size-300) -1rem var(--color-black);

}

.footer-text-header {

  font-size: var(--fontsize-100);
  font-weight: bold;
  color: var(--color-white);
  line-height: 4rem;

}

.footer-text-line {

  font-size: var(--fontsize-100);
  font-weight: lighter;
  /* text-indent: 1rem; */
  color: var(--color-white-darker);

}

.footer-text-line a {

  text-decoration: none;
  color: var(--color-white-darker);

}

.footer--icon {

  text-decoration: none;
  color: var(--color-contrast) !important;

}

.footer--link-icon {

  padding: 0 var(--size-200);

}

.contact-header {


  line-height: var(--size-800);
  margin: 0;

}

.copyright {

  padding-top: var(--size-800);
  font-size: var(--fontsize-100);
  text-align: center;
  color: var(--color-black-lightest);
  color: rgba(255, 255, 255, 0.3);
  font-weight: lighter;
  width: 70%;
  margin: auto;
  line-height: var(--size-500);
  
}


/***    4.2 Footer - Mobile ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

@media (max-width: 50rem) {

  .secondary-navigation {
      grid-template-columns: 1fr;
      text-align: left;
      gap: 0;
  }

  

  .footer-logo {

    text-align: center;
  
  }
  
  .navigation-logo--blue {

    display: block;
  
  }

  .navigation-logo--white {

    display: none;
  
  }

  /* .footer-text-line {

    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    
  } */



}


/*** 5.0 - Article ***/
/***    5.1 Article - Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

.article-wrapper {

  background-color: var(--color-white);
  /* display: grid;
  grid-template-columns: 1fr; */
  /* gap: 2rem; */
  color: var(--color-white-darker);
  line-height: var(--size-600);
  padding: 0 var(--size-900);

}

.article {

  padding: 0 var(--size-700);
  /* box-shadow: 2px 5px 5px hsla(var(--color-black-opacity)); */
  /* border: 1px solid var(--color-white-darker); */
  

}

/* .article:hover,
.article:focus
{

box-shadow: 3px 5px 5px var(--color-white-darker);
background-color: hsla(var(--color-accent-opacity));

} */

.article__info {

  color: var(--color-black-lightest);
  font-weight: lighter;
  font-size: var(--fontsize-100);
  /* border-bottom: 1px solid var(--color-black-lightest); */

}

.article__info__container {

display: flex;
justify-content: space-between;

}

.article__image {

width: 100%;
/* max-height: 12rem; */
object-fit: cover;
padding-top: 10px;

}

.noimage {


opacity: 0.2;

}

.article__title {

  color: var(--color-black);
  font-weight: bolder;
  font-size: var(--fontsize-500);
  padding: 2rem 0 1rem 0;

}

.article__ingress {

  color: var(--color-black-lighter);
  font-weight: bolder;
  font-style: italic;
  font-size: var(--fontsize-400);
  line-height: var(--size-700);
  padding: 1rem 0;

}

.article__body {

  color: var(--color-black-lighter);
  font-weight: normal;
  font-size: var(--fontsize-300);
  line-height: var(--size-600);

}

/* .article__body::after {

content: '...';

} */

.article__read {

padding-top: 1rem;
text-align: right;

}


.article__button  {

cursor: pointer;
text-decoration: none;
border: 0;
border-radius: 100vmax;
padding: var(--size-200) var(--size-400);
font-weight: normal;
font-size: var(--fontsize-100);
line-height: 1;
background-color: var(--color-accent);
box-shadow: 0 var(--size-300) var(--size-300) -1rem var(--color-black);
transform: translateY(-2px);
}

/* .article__button[data-type="inverted"] {


} */

.article__button:hover,
.article__button:focus-visible {

/* background-color: var(--color-accent-darker); */
/* color: var(--color-white); */
box-shadow: 0 var(--size-100) var(--size-100) -1rem var(--color-black-lighter);
transform: translateY(2px);

}

.article__icon {

text-decoration: none;
color: var(--color-black) !important;
padding-left: 4px;
opacity: 0.8;

}


/***    5.2 - Article - Mobile ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */

@media (max-width: 50rem) {



.article-wrapper {

    padding: 0;
    padding-bottom: 20px;

  }
  

  
}
 


/*** 6.0 - Sidebar ***/
/***    6.1 Sidebar - Desktop ***/
/* ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */


.sidebar_article {

  padding: var(--size-600);
  box-shadow: 2px 5px 5px hsla(var(--color-black-opacity));
  border: 1px solid var(--color-white-darker);
  margin: 0 1rem 1rem 1rem;
  
}

.sidebar_article a {

  text-decoration: none;
 
}



.sidebar_article:hover,
.sidebar_article:focus
{

box-shadow: 3px 5px 5px var(--color-white-darker);
background-color: hsla(var(--color-accent-opacity));

}

.sidebar_article__info {

  color: var(--color-black-lightest);
  font-weight: lighter;
  font-size: var(--fontsize-100);
  /* border-bottom: 1px solid var(--color-black-lightest); */
  text-decoration: none;

}

.sidebar_article__info__container {

display: flex;
justify-content: space-between;

}

.sidebar_article__image {

  width: 100%;
  max-height: 6rem;
  object-fit: cover;
  padding-top: 0.5rem;

}

.noimage {


opacity: 0.2;

}

.sidebar_article__title {

  color: var(--color-black);
/*  font-weight: bolder;*/
  font-size: var(--fontsize-200);
  padding: 10px 0 10px 0;

}

.sidebar_article__body {

color: var(--color-black-lighter);
font-weight: normal;
font-size: var(--fontsize100);
display: -webkit-box;
-webkit-line-clamp: 4; /* Cut text */
-webkit-box-orient: vertical;
overflow: hidden;
line-height: var(--size-600);

}

.sidebar_article__body::after {

content: '...';

}

.sidebar_article__read {

padding-top: 1rem;
text-align: right;

}


.sidebar_article__button  {

cursor: pointer;
text-decoration: none;
border: 0;
border-radius: 100vmax;
padding: var(--size-200) var(--size-400);
font-weight: normal;
font-size: var(--fontsize-100);
line-height: 1;
background-color: var(--color-accent);
box-shadow: 0 var(--size-300) var(--size-300) -1rem var(--color-black);
transform: translateY(-2px);
}

.sidebar_article__button:hover,
.sidebar_article__button:focus-visible {

/* background-color: var(--color-accent-darker); */
/* color: var(--color-white); */
box-shadow: 0 var(--size-100) var(--size-100) -1rem var(--color-black-lighter);
transform: translateY(2px);

}

.sidebar_article__icon {

text-decoration: none;
color: var(--color-black) !important;
padding-left: 4px;
opacity: 0.8;

}
